ru.bitel.bgbilling.modules.inet.radius

## Class InetRadiusIpAddressUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.radius.InetRadiusIpAddressUtils

-     public class InetRadiusIpAddressUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InetRadiusIpAddressUtils.IpResourceReserveKit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetRadiusIpAddressUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getAddressFromRange(byte[] addressFrom, byte[] addressTo, java.util.Set<IpAddress> usedAddress)`
    `static java.util.Set<IpAddress>` | `getConnectionsAddresses(ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager, int inetServId)`
    `static boolean` | `setIp(ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager, RadiusListenerWorker<?> req, int agentDeviceId, InetServ inetServ, java.lang.String username, byte[] macAddress, java.lang.String callingStationId, java.lang.String identifier, ru.bitel.bgbilling.modules.inet.runtime.InetServTypeRuntime inetServTypeRuntime, InetServType inetServType, InetNas nas, java.lang.String realm, java.util.List<ru.bitel.bgbilling.modules.inet.runtime.InetServRuntime> childrenServRuntimes, RadiusPacket request, RadiusPacket response, boolean fromRealmOnly, java.util.Set<java.lang.Integer> optionSet)` Проставление ip-адреса при успешной авторизации абонента.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetRadiusIpAddressUtils

          public InetRadiusIpAddressUtils()

  - ### Method Detail

    - #### getConnectionsAddresses

          public static java.util.Set<IpAddress> getConnectionsAddresses(ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager,
                                                                         int inetServId)

    - #### getAddressFromRange

          public static byte[] getAddressFromRange(byte[] addressFrom,
                                                   byte[] addressTo,
                                                   java.util.Set<IpAddress> usedAddress)

    - #### setIp

          public static boolean setIp(ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager,
                                      RadiusListenerWorker<?> req,
                                      int agentDeviceId,
                                      InetServ inetServ,
                                      java.lang.String username,
                                      byte[] macAddress,
                                      java.lang.String callingStationId,
                                      java.lang.String identifier,
                                      ru.bitel.bgbilling.modules.inet.runtime.InetServTypeRuntime inetServTypeRuntime,
                                      InetServType inetServType,
                                      InetNas nas,
                                      java.lang.String realm,
                                      java.util.List<ru.bitel.bgbilling.modules.inet.runtime.InetServRuntime> childrenServRuntimes,
                                      RadiusPacket request,
                                      RadiusPacket response,
                                      boolean fromRealmOnly,
                                      java.util.Set<java.lang.Integer> optionSet)

      Проставление ip-адреса при успешной авторизации абонента. Обычно ip адрес выдается в атрибуте `RadiusDictionary.Framed_IP_Address` для ipv4-адресов. На данный момент поддерживается выдача ipv6-адресов, исходя из типа соединия, которое определяется по отдельному атрибуту. Например, для оборудования Скат это целочисленный атрибут vendor = 43823, type = 6.
      Returns: